Skip to main content
GET
/
api
/
Fba
/
FbaInstructionReplenish
/
get
Get FBA instruction replenish details
curl --request GET \
  --url https://api.returnshelper.com/uat/user/api/Fba/FbaInstructionReplenish/get \
  --header 'x-rr-apikey: <api-key>' \
  --header 'x-rr-apitoken: <api-key>'
{
  "data": {
    "fbaInstructionReplenishId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "fbaInstructionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "apiId": 123,
    "fbaInstructionNumber": "<string>",
    "fbaInstructionHandlingCode": "<string>",
    "handlingStatusCode": "<string>",
    "quantity": 123,
    "warehouseId": 123,
    "warehouseApiId": 123,
    "createOn": "2023-11-07T05:31:56Z",
    "modifyOn": "2023-11-07T05:31:56Z",
    "cancelRemarks": "<string>",
    "replenishStatusCode": "<string>",
    "shipmentNumber": "<string>",
    "newShipmentReferenceId": "<string>",
    "newShipmentWeight": 123,
    "newShipmentWeightUom": "<string>",
    "newShipmentDimension1": 123,
    "newShipmentDimension2": 123,
    "newShipmentDimension3": 123,
    "newShipmentDimensionUom": "<string>",
    "newShipmentDate": "2023-11-07T05:31:56Z",
    "provideLabel": true,
    "newShipmentCountryCode": "<string>",
    "newShipmentFbaName": "<string>",
    "newShipmentStreet1": "<string>",
    "newShipmentStreet2": "<string>",
    "newShipmentStreet3": "<string>",
    "newShipmentState": "<string>",
    "newShipmentCity": "<string>",
    "newShipmentPostalCode": "<string>",
    "filename": "<string>",
    "fileExt": "<string>",
    "s3OriginalFileKey": "<string>",
    "isLabelDeleted": true,
    "fbaInstructionReplenishItemList": [
      {}
    ]
  }
}
Fetches the full record of a single replenish-type FBA instruction.

Authorizations

x-rr-apikey
string
header
required

Your API key

x-rr-apitoken
string
header
required

Your API token — keep this private

Query Parameters

fbaInstructionId
string<uuid>
required

FBA instruction identifier

Response

Success

data
object

FBA instruction replenish details